Package jebl.math

# Interface MultivariateFunction

All Known Implementing Classes:
  `Coalescent`

public interface MultivariateFunction
interface for a function of several variables

Author:
  Korbinian Strimmer

## Method Summary

Modifier and Type
Method
Description
`double`
`evaluate(double[] argument)`
compute function value
`double`
`getLowerBound(int n)`
get lower bound of argument n
`int`
`getNumArguments()`
get number of arguments
`OrthogonalHints`
`getOrthogonalHints()`
`double`
`getUpperBound(int n)`
get upper bound of argument n

## Method Details

### evaluate

double evaluate(double[] argument)
compute function value

Parameters:
  `argument` - function argument (vector)
Returns:
  function value

### getNumArguments

int getNumArguments()
get number of arguments

Returns:
  number of arguments

### getLowerBound

double getLowerBound(int n)
get lower bound of argument n

Parameters:
  `n` - argument number
Returns:
  lower bound

### getUpperBound

double getUpperBound(int n)
get upper bound of argument n

Parameters:
  `n` - argument number
Returns:
  upper bound

### getOrthogonalHints

OrthogonalHints getOrthogonalHints()

Returns:
  an Orthogonal Hints object that can be used by Orthogonal based optimisers to get information about the function